let UserDataConfigItem = {
    downloadParams: {}
};

export default function UserRedux(state = UserDataConfigItem, action) {
    if (action.type === 'userData') {
        return Object.assign({}, state, action.value);
    } else if (action.type === 'downloadTask') {
        return {
            ...state,
            downloadParams: action.value
        }
    } else {
        return state;
    }
}